name: live_monitor_ui

on:
  push:
    branches:
      - main
      - live_monitor_ts_workflow
  pull_request:
    branches:
      - main
      - live_monitor_ts_workflow

jobs:
  lint:
    name: lint
    runs-on: 'ubuntu'
    steps:
      - name: Checkout
        uses: actions/checkout@v4.1.1

      - name: Install Node
        uses: actions/setup-node@v4
        with:
          node-version: '21.x'

      - name: install yarn
        run: npm install --global yarn

      - name: install node_modules
        run: yarn

      - name: lint
        run: yarn lint
